Avaya Aura Communication Manager sérülékenységek

CH azonosító

CH-7620

Angol cím

Avaya Aura Communication Manager Multiple Vulnerabilities

Felfedezés dátuma

2012.09.20.

Súlyosság

Közepes

Érintett rendszerek

Avaya
Communication Manager

Érintett verziók

Avaya Communication Manager 4.x, 5.x

Összefoglaló

Az Avaya Aura Communication Manager olyan sérülékenységeit jelentették, amelyeket a rosszindulatú, helyi felhasználók kihasználva bizonyos rendszer adatokat szivárogtathatnak ki, megkerülhetnek bizonyos biztonsági szabályokat, szolgáltatás megtagadást (DoS – Denial of Service) idézhetnek elő és emelt szintű jogosultságokat szerezhetnek, a guest virtuális gép rosszindulatú helyi felhasználói szolgáltatás megtagadást (DoS – Denial of Service) idézhetnek elő, illetve a támadók szolgáltatás megtagadást (DoS – Denial of Service) idézhetnek elő.

Leírás

  1. A net/bluetooth/l2cap_sock.c “l2cap_sock_getsockopt_old()” függvénye nem megfelelő módon inicializál egy struktúrát, mielőtt azt a felhasználói memóriaterületre másolná, ami kihasználható a kernel verem memóriájának kiszivárogtatására.
  2. Anet/bluetooth/rfcomm/sock.c “rfcomm_sock_getsockopt_old()” függvénye nem megfelelő módon inicializál egy struktúrát, mielőtt azt a felhasználói memóriaterületre másolná, ami kihasználható a kernel verem memóriájának kiszivárogtatására.
  3. A VLAN GRO_DROP és “napi_reuse_skb()” függvényhez kötődő sérülékenység kihasználható szolgáltatás megtagadás (DoS – Denial of Service) előidézésére, speciálisan megszerkesztett csomagok küldésével.
  4. A Xen hypervisor implementációjának egy sérülékenysége kihasználható a vendég virtuális gép összeomlasztására
    Megjegyzés: ez a sérülékenység csak Intel x86-os processzorokra vonatkozik, bekapcsolt Intel VT-x kiterjesztés esetén.

A további sérülékenységekről az alábbi hivatkozásokon található bővebb információ:

CERT-Hungary CH-3925
CERT-Hungary CH-4386
CERT-Hungary CH-4535
CERT-Hungary CH-4574
CERT-Hungary CH-4753
CERT-Hungary CH-4802
CERT-Hungary CH-4897
CERT-Hungary CH-4996

A sérülékenységeket a 4.x és 5.x verziókban jelentették.

Megoldás

Frissítsen a legújabb verzióra